---
- hosts: client
  become: yes
  tasks:

    - name: extractor presents
      ansible.builtin.apt:
        name:
          - unzip
          - tar
        state: present
        update_cache: true
      become: true

    - name: Create build directory
      file:
        path: /root/demo
        state: directory
        owner: root
        group: root
        mode: '0755'

    - name: Download Consul from Yandex
      ansible.builtin.get_url:
        url: https://hashicorp-releases.yandexcloud.net/consul/1.14.3/consul_1.14.3_linux_amd64.zip
#        url: https://hashicorp-releases.yandexcloud.net/consul-template/0.29.6/consul-template_0.29.6_linux_amd64.zip
        dest: /root/demo/
        mode: '0755'
        force: no

    - name: Create consul.d directory
      file:
        path: /etc/consul.d
        state: directory
        owner: root
        group: root
        mode: '0755'

    - name: Copy consul service config
      copy:
        src: /home/petr/sb_a2/web-service-v1.json
        dest: /etc/consul.d/
        owner: root
        group: root
        mode: '0755'
        force: yes


    - name: Copy consul service config
      copy:
        src: /home/petr/sb_a2/web-service-v2.json
        dest: /etc/consul.d/
        owner: root
        group: root
        mode: '0755'
        force: yes
